package com.zehong.system.mapper.track;

import java.util.List;
import com.zehong.system.domain.track.TProductMark;

/**
 * 装配模板Mapper接口
 * 
 * @author zehong
 * @date 2024-08-23
 */
public interface TProductMarkMapper 
{
    /**
     * 查询装配模板
     * 
     * @param id 装配模板ID
     * @return 装配模板
     */
    public TProductMark selectTProductMarkById(Long id);

    /**
     * 查询装配模板列表
     * 
     * @param tProductMark 装配模板
     * @return 装配模板集合
     */
    public List<TProductMark> selectTProductMarkList(TProductMark tProductMark);

    /**
     * 新增装配模板
     * 
     * @param tProductMark 装配模板
     * @return 结果
     */
    public int insertTProductMark(TProductMark tProductMark);

    /**
     * 修改装配模板
     * 
     * @param tProductMark 装配模板
     * @return 结果
     */
    public int updateTProductMark(TProductMark tProductMark);

    /**
     * 删除装配模板
     * 
     * @param id 装配模板ID
     * @return 结果
     */
    public int deleteTProductMarkById(Long id);

    /**
     * 批量删除装配模板
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTProductMarkByIds(Long[] ids);
}
